test: csrhlpr.h File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# csrhlpr.h File Reference

Go to the source code of this file.

## Functions

NTSTATUS APIENTRY | CallUserpExitWindowsEx (IN UINT uFlags, IN DWORD dwReserved, OUT PBOOL pfSuccess)
NTSTATUS APIENTRY | CallUserpRegisterLogonProcess (IN DWORD dwProcessId)
VOID APIENTRY | Logon (IN BOOL fLogon)
VOID APIENTRY | CsrWin32HeapFail (IN DWORD dwFlags, IN BOOL bFail)
UINT APIENTRY | CsrWin32HeapStat (PDBGHEAPSTAT phs, DWORD dwLen)
NTSTATUS APIENTRY | UserConnectToServer (IN PWSTR ObjectDirectory, IN OUT PUSERCONNECT ConnectionInformation, IN OUT PULONG ConnectionInformationLength OPTIONAL, OUT PBOOLEAN CalledFromServer OPTIONAL)

## Function Documentation

NTSTATUS APIENTRY CallUserpExitWindowsEx | ( | IN UINT | uFlags,
|  | IN DWORD | dwReserved,
|  | OUT PBOOL | pfSuccess
| ) |

Definition at line 42 of file csrstubs.c.

References CsrClientCallServer(), _EXITWINDOWSEXMSG::dwReserved, FALSE, NT_SUCCESS, NULL, SET_LAST_ERROR_RETURNED, _USER_API_MSG::u, _EXITWINDOWSEXMSG::uFlags, and UserpExitWindowsEx.

Referenced by ExitWindowsWorker().

    00046 {
    00047
    00048     USER_API_MSG m;
    00049     PEXITWINDOWSEXMSG a = &m.u.ExitWindowsEx;
    00050
    00051     a->uFlags = uFlags;
    00052     a->dwReserved = dwReserved;
    00053     CsrClientCallServer( (PCSR_API_MSG)&m,
    00054                          NULL,
    00055                          CSR_MAKE_API_NUMBER( USERSRV_SERVERDLL_INDEX,
    00056                                               UserpExitWindowsEx
    00057                                             ),
    00058                          sizeof( *a )
    00059                        );
    00060
    00061     if (NT_SUCCESS( m.ReturnValue ) || m.ReturnValue == STATUS_CANT_WAIT) {
    00062         SET_LAST_ERROR_RETURNED();
    00063         *pfSuccess = a->fSuccess;
    00064     } else {
    00065         RIPNTERR0(m.ReturnValue, RIP_VERBOSE, "");
    00066         *pfSuccess = FALSE;
    00067     }
    00068
    00069     return m.ReturnValue;
    00070
    00071 }

NTSTATUS APIENTRY CallUserpRegisterLogonProcess | ( | IN DWORD | dwProcessId | ) |

Definition at line 228 of file csrstubs.c.

References CsrClientCallServer(), NTSTATUS(), NULL, Status, _USER_API_MSG::u, and UserpRegisterLogonProcess.

Referenced by RegisterLogonProcess().

    00230 {
    00231
    00232     USER_API_MSG m;
    00233     PLOGONMSG a = &m.u.Logon;
    00234     NTSTATUS Status;
    00235
    00236     m.u.IdLogon = dwProcessId;
    00237     Status = CsrClientCallServer( (PCSR_API_MSG)&m,
    00238                                   NULL,
    00239                                   CSR_MAKE_API_NUMBER( USERSRV_SERVERDLL_INDEX,
    00240                                                        UserpRegisterLogonProcess),
    00241                                   sizeof(*a));
    00242
    00243     return Status;
    00244 }

VOID APIENTRY CsrWin32HeapFail | ( | IN DWORD | dwFlags,
|  | IN BOOL | bFail
| ) |

UINT APIENTRY CsrWin32HeapStat | ( | PDBGHEAPSTAT | phs,
|  | DWORD | dwLen
| ) |

VOID APIENTRY Logon | ( | IN BOOL | fLogon | ) |

| Referenced by SetWindowStationUser().

_inline NTSTATUS UserConnectToServer | ( | IN PWSTR | ObjectDirectory,
|  | IN OUT PUSERCONNECT | ConnectionInformation,
|  | IN OUT PULONG ConnectionInformationLength | OPTIONAL,
|  | OUT PBOOLEAN CalledFromServer | OPTIONAL
| ) |

Definition at line 55 of file csrhlpr.h.

References CsrClientConnectToServer(), and NULL.

Referenced by UserClientDllInitialize().

    00060       {
    00061
    00062     return CsrClientConnectToServer(ObjectDirectory,
    00063                                     USERSRV_SERVERDLL_INDEX,
    00064                                     NULL,
    00065                                     ConnectionInformation,
    00066                                     ConnectionInformationLength,
    00067                                     CalledFromServer);
    00068
    00069 }